﻿
namespace AbstractFactoryPattern
{
    /// <summary>
    /// class msdesign extends abstract factory abstractdesign
    /// </summary>
    public class MsDesign : AbstractDesign
    {
        /// <summary>
        /// override the abstract product method of createbackground
        /// </summary>
        /// <returns>new msbackground product object</returns>
        public override AbstractBackground createBackground()
        {
            return new MsBackground();
        }
        /// <summary>
        /// override the abstract product method of createscrollbar
        /// </summary>
        /// <returns>new msscrollbar product object</returns>
        public override AbstractScrollbar createScrollbar()
        {
            return new MsScrollbar();
        }
    }
}
