﻿using System;
using System.Windows.Forms;

namespace FactoryMethod
{
    public partial class Client : Form
    {
        public Client()
        {
            InitializeComponent();
        }

        private void btnBuy_Click(object sender, EventArgs e)
        {   
            //a new instance of class creator
            Creator aCreator = new Creator();
            //variable for factorymethod choose the selected product class
            int productNumber = 0;
                     
            if (cbSelectionProduct.Text == "Microsoft Office")
            { 
                //to visual the background activitie
                tbBackgroundActivities.AppendText("Aufruf FactoryMethod für Microsoft Office\n");
                //appeal the factory method with product number and call up the method of the selected class product A
                tbBuyItems.AppendText(aCreator.factoryMethod(productNumber).buyItem());
            }
            else if(cbSelectionProduct.Text == "Apple IWork")
            {
                productNumber = 1;
                //to visual the background activitie
                tbBackgroundActivities.AppendText("Aufruf FactoryMethod für Apple IWork\n");
                //appeal the factory method with product number (1) and call up the method of the selected class product B
                tbBuyItems.AppendText(aCreator.factoryMethod(productNumber).buyItem());
            }

            else if (cbSelectionProduct.Text == "Sun OpenOffice")
            {
                productNumber = 2;
                //to visual the background activitie
                tbBackgroundActivities.AppendText("Aufruf FactoryMethod für Sun OpenOffice\n");
                //appeal the factory method with product number (2) and call up the method of the selected class product C
                tbBuyItems.AppendText(aCreator.factoryMethod(productNumber).buyItem());
            }
        }
    }
}
