﻿
namespace ImplementationAbstractFactoryPattern.Controller
{
    /// <summary>
    /// The ConcreteFactory2 class extends AbstractFactory
    /// </summary>

    public class ConcreteFactory2 : AbstractFactory
    {
        /// <summary>
        /// override the abstract method createProductA from datatype AbstractProductA
        /// </summary>
        /// <returns>ProductA2</returns>
        public override AbstractProductA createProductA()
        {
            return new ProductA2();
        }
        /// <summary>
        /// override the abstract method createProductB from datatype AbstractProductB
        /// </summary>
        /// <returns>ProductB2</returns>
        public override AbstractProductB createProductB()
        {
            return new ProductB2();
        }
    }
}
