﻿
namespace AbstractFactoryPattern
{
    /// <summary>
    /// class macdesign extends abstract factory abstractdesign
    /// </summary>
    public class MacDesign : AbstractDesign
    {
        /// <summary>
        /// override the abstract product method of createbackground
        /// </summary>
        /// <returns>new macbackground product object</returns>
        public override AbstractBackground createBackground()
        {
            return new MacBackground();
        }
        /// <summary>
        /// override the abstract product method of createscrollbar
        /// </summary>
        /// <returns>new macscrollbar product object</returns>
        public override AbstractScrollbar createScrollbar()
        {
            return new MacScrollbar();
        }
    }
}
