﻿
namespace ImplementationAbstractFactoryPattern.Controller
{
    /// <summary>
    /// The AbstractFactory abstract class 
    /// </summary>
    
    public abstract class AbstractFactory
    {
        /// <summary>
        /// abstract methods which extends the real factory
        /// </summary>
        /// <returns></returns>
        public abstract AbstractProductA createProductA();
        public abstract AbstractProductB createProductB();
    }
}
