﻿
namespace ImplementationAbstractFactoryPattern.Controller
{
    /// <summary>
    /// The ConcreteFactory1 class extends AbstractFactory
    /// </summary>
    
    public class ConcreteFactory1 : AbstractFactory
    {
        /// <summary>
        /// override the abstract method createProductA from datatype AbstractProductA
        /// </summary>
        /// <returns>ProductA1</returns>
        public override AbstractProductA createProductA()
        {
            return new ProductA1();
        }
        /// <summary>
        /// override the abstract method createProductB from datatype AbstractProductB
        /// </summary>
        /// <returns>ProductB1</returns>
        public override AbstractProductB createProductB()
        {
            return new ProductB1();
        }
    }
}
