﻿using System;

namespace ImplementationAbstractFactoryPattern.Controller
{
    /// <summary>
    /// The ProductB1 class extends AbstractProductB class
    /// </summary>
    public class ProductB2 : AbstractProductB
    {
        /// <summary>
        /// override the method of AbstractProductB class
        /// shows the interaction to AbstractProductA 
        /// returns type object
        /// </summary>
        /// <param name="a"></param>
        public override void interact(AbstractProductA a)
        {
            Console.WriteLine(this.GetType().Name + " interacts with " + a.GetType().Name);
        }
    }
}
